Index: /branches/feature-module-update/data/class/pages/admin/total/LC_Page_Admin_Total.php
===================================================================
--- /branches/feature-module-update/data/class/pages/admin/total/LC_Page_Admin_Total.php	(revision 15626)
+++ /branches/feature-module-update/data/class/pages/admin/total/LC_Page_Admin_Total.php	(revision 15636)
@@ -55,4 +55,14 @@
         $this->cashtime = time();
         $this->objBatch = new SC_Batch_Daily_Ex();
+
+        // TODO エレガントじゃない...
+        if (!isset($_POST['search_startyear'])) $_POST['search_startyear'] = "";
+        if (!isset($_POST['search_startmonth'])) $_POST['search_startmonth'] = "";
+        if (!isset($_POST['search_startday'])) $_POST['search_startday'] = "";
+        if (!isset($_POST['search_endyear'])) $_POST['search_endyear'] = "";
+        if (!isset($_POST['search_endmonth'])) $_POST['search_endmonth'] = "";
+        if (!isset($_POST['search_endday'])) $_POST['search_endday'] = "";
+
+        if (!isset($_POST['search_startyear_m'])) $_POST['search_startyear_m'] = "";
     }
 
@@ -101,7 +111,6 @@
             $this->arrErr = $this->lfCheckError();
             $arrRet = $this->objFormParam->getHashArray();
-
             // 入力エラーなし
-            if (count($this->arrErr) == 0) {
+            if (empty($this->arrErr)) {
                 foreach ($arrRet as $key => $val) {
                     if($val == "") {
@@ -122,7 +131,8 @@
                     }
                 }
-
                 if($this->objFormParam->getValue('type') != "") {
                     $type = $this->objFormParam->getValue('type');
+                } else {
+                    $type = "";
                 }
 
@@ -233,6 +243,4 @@
         }
 
-
-
         // 登録・更新日検索用
         $objDate = new SC_Date();
@@ -246,5 +254,4 @@
 
         $this->tpl_subtitle = $this->arrTitle[$this->objFormParam->getValue('page')];
-
         $objView->assignobj($this);
         $objView->display(MAIN_FRAME);
@@ -464,9 +471,10 @@
 
         $ret_path = "";
-
         // 結果が0行以上ある場合のみグラフを生成する。
         if(count($arrResults) > 0) {
             // グラフの生成
-            $arrList = sfArrKeyValue($arrResults, $keyname, "total", GRAPH_PIE_MAX, GRAPH_LABEL_MAX);
+            $arrList = SC_Utils_Ex::sfArrKeyValue($arrResults, $keyname,
+                                                  "total", GRAPH_PIE_MAX,
+                                                  GRAPH_LABEL_MAX);
 
             // 一時ファイル名の取得
@@ -516,5 +524,5 @@
         if(count($arrResults) > 0) {
             // グラフの生成
-            $arrList = sfArrKeyValue($arrResults, $keyname, "total", GRAPH_PIE_MAX, GRAPH_LABEL_MAX);
+            $arrList = SC_Utils_Ex::sfArrKeyValue($arrResults, $keyname, "total", GRAPH_PIE_MAX, GRAPH_LABEL_MAX);
 
             // 一時ファイル名の取得
@@ -557,5 +565,5 @@
     // グラフ用のPNGファイル名
     function lfGetGraphPng($keyname) {
-        if (!isset($_POST['search_startyear_m'])) $_POST['search_startyear_m'] = "";
+
         if($_POST['search_startyear_m'] != "") {
             $pngname = sprintf("%s_%02d%02d.png", $keyname, substr($_POST['search_startyear_m'],2), $_POST['search_startmonth_m']);
@@ -568,4 +576,5 @@
     // 会員、非会員集計のWHERE分の作成
     function lfGetWhereMember($col_date, $sdate, $edate, $type, $col_member = "customer_id") {
+        $where = "";
         // 取得日付の指定
         if($sdate != "") {
@@ -605,5 +614,5 @@
         }
 
-        return array($where, $arrval);
+        return array($where, array());
     }
 
@@ -703,5 +712,5 @@
         if($graph) {
             $image_key = "job_" . $type;
-            $objPage->tpl_image = lfGetGraphPie($objPage->arrResults, "job_name", $image_key, "(売上比率)", $sdate, $edate);
+            $objPage->tpl_image = $this->lfGetGraphPie($objPage->arrResults, "job_name", $image_key, "(売上比率)", $sdate, $edate);
         }
     }
Index: /branches/feature-module-update/data/class/graph/SC_GraphBase.php
===================================================================
--- /branches/feature-module-update/data/class/graph/SC_GraphBase.php	(revision 15598)
+++ /branches/feature-module-update/data/class/graph/SC_GraphBase.php	(revision 15636)
@@ -261,6 +261,17 @@
             imagefilledrectangle($this->image, $left - 2, $top - 2, $left + $text_width + 2, $top + $font_size + 2, $this->labelbg_color);
         }
-        //$text = mb_convert_encoding($text, "UTF-8", CHAR_CODE);
-        $text = mb_convert_encoding($text, CHAR_CODE);
+        /*
+         * XXX EUC-JP にしないと Warning がでる.
+         *     --enable-gd-jis-conv も関係していそうだが, このオプションを
+         *     つけなくても出る.
+         *
+         *     Warning: imagettftext() [function.imagettftext]:
+         *     any2eucjp(): something happen in
+         *
+         *     http://www.php.net/imagettftext を見ると, UTF-8 にしろと
+         *     書いてあるのに何故？
+         */
+        $text = mb_convert_encoding($text, "EUC-JP", CHAR_CODE);
+        //$text = mb_convert_encoding($text, CHAR_CODE);
         if($color != NULL) {
             ImageTTFText($this->image, $font_size, $angle, $left, $top + $font_size, $color, FONT_PATH, $text);